/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2005 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: FileContent.java,v 1.1.2.1 2005/05/27 10:08:49 benoitf Exp $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jonas_lib.files;

import java.io.Serializable;

/**
 * Wrap an array of bytes for sending a file Signature of JMX commons modeler
 * should be objects
 * @author Florent Benoit
 */
public class FileContent implements Serializable {

    /**
     * Content of the file
     */
    private byte[] content = null;

    /**
     * Build a new File with the given bytes
     * @param content the bytes of the file
     */
    public FileContent(byte[] content) {
        this.content = content;
    }

    /**
     * @return bytes of this file content
     */
    public byte[] getContent() {
        return content;
    }

}
